Whether the shop is connected and its data is syncing, with the reasons when not
GET
/api/public/v1/tik_tok_shop/connection_healthConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopConnectionHealth
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/connection_health" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| checkedAt | string (date-time) | required |
| deadShopGated | boolean, nullable | required |
| isCollecting | boolean, nullable | required |
| official | object, nullable | required |
| official.accessTokenExpiresAt | string (date-time), nullable | required |
| official.refreshTokenExpired | boolean, nullable | required |
| official.refreshTokenExpiresAt | string (date-time), nullable | required |
| official.tokenPresent | boolean | required |
| rateLimit | object, nullable | required |
| rateLimit.source | string | One of redismemory-degradedunconfigured |
| rateLimit.waitingTiers | array of object | |
| rateLimit.waitingTiers[].[].nextSlotInMs | integer | |
| rateLimit.waitingTiers[].[].tier | string | |
| reasons | array of object | required |
| reasons[].[].code | string | requiredOne of dead_shop_gatedno_credentialsofficial_token_missingrefresh_token_expiredrefresh_token_expiringweb_session_expiredsync_quarantinedsync_failingnot_collectingsignal_unavailable |
| reasons[].[].kind | string | |
| reasons[].[].message | string | required |
| reasons[].[].severity | string | requiredOne of brokendegraded |
| reasons[].[].signal | string | One of credentialsconstraintssync |
| region | string, nullable | required |
| shopId | string | required |
| status | string | requiredOne of okdegradedbroken |
| sync | object, nullable | required |
| web | object | required |
| web.cookiePresent | boolean, nullable | required |
| web.lastQuotaReadAgeSeconds | integer, nullable | required |
| web.lastQuotaReadAt | string (date-time), nullable | required |
| web.sessionExpired | boolean, nullable | required |
Example
{
"checkedAt": "2026-11-01T15:04:05Z",
"deadShopGated": true,
"isCollecting": true,
"official": {
"accessTokenExpiresAt": "2026-11-01T15:04:05Z",
"refreshTokenExpired": true,
"refreshTokenExpiresAt": "2026-11-01T15:04:05Z",
"tokenPresent": true
},
"rateLimit": {
"source": "redis",
"waitingTiers": [
{
"nextSlotInMs": 3,
"tier": "string"
}
]
},
"reasons": [
{
"code": "dead_shop_gated",
"kind": "string",
"message": "string",
"severity": "broken",
"signal": "credentials"
}
],
"region": "string",
"shopId": "string",
"status": "ok",
"sync": {},
"web": {
"cookiePresent": true,
"lastQuotaReadAgeSeconds": 3,
"lastQuotaReadAt": "2026-11-01T15:04:05Z",
"sessionExpired": true
}
}Errors: 401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.